> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gamer2z.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current account

> Returns the authenticated account's profile.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/me
openapi: 3.1.0
info:
  title: Gamer2z API
  description: >-
    Public API for the Gamer2z marketplace. This is a placeholder spec — replace
    it with the spec generated from the Gamer2z NestJS API (see README).
  version: 0.0.1
servers:
  - url: https://api.gamer2z.com
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/me:
    get:
      summary: Get current account
      description: Returns the authenticated account's profile.
      responses:
        '200':
          description: Account profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  username:
                    type: string
                  role:
                    type: string
                    enum:
                      - BUYER
                      - SELLER
                      - ADMIN
        '401':
          description: Missing or invalid API key
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````